Show / Hide Table of Contents

# Delegate WorkspaceService<TConfig>.TextDocOpenCallback

Delegate for callbacks that occur when a text document is opened

###### Namespace:Microsoft.SqlTools.ServiceLayer.Workspace

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public delegate Task TextDocOpenCallback(ScriptFile openFile, EventContext eventContext);

##### Parameters

Type | Name | Description
--- | --- | ---
ScriptFile | openFile | File that was opened
EventContext | eventContext | Context of the event raised for the changed files

##### Returns

Type | Description
--- | ---
System.Threading.Tasks.Task |